# Class TopicCategory

Object
CodeList<TopicCategory>
TopicCategory

All Implemented Interfaces:
  `Serializable, Comparable<TopicCategory>`

@UML(identifier="MD_TopicCategoryCode", specification=ISO_19115) public final class TopicCategory extends CodeList<TopicCategory>
High-level geographic data thematic classification to assist in the grouping and search of available geographic data sets. Can be used to group keywords as well. Listed examples are not exhaustive.

Since:
  2.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TopicCategory`
  `BIOTA`
  Flora and/or fauna in natural environment.
  `static final TopicCategory`
  `BOUNDARIES`
  Legal land descriptions.
  `static final TopicCategory`
  `CLIMATOLOGY_METEOROLOGY_ATMOSPHERE`
  Processes and phenomena of the atmosphere.
  `static final TopicCategory`
  `ECONOMY`
  Economic activities, conditions and employment.
  `static final TopicCategory`
  `ELEVATION`
  Height above or below sea level.
  `static final TopicCategory`
  `ENVIRONMENT`
  Environmental resources, protection and conservation.
  `static final TopicCategory`
  `FARMING`
  Rearing of animals and/or cultivation of plants.
  `static final TopicCategory`
  `GEOSCIENTIFIC_INFORMATION`
  Information pertaining to earth sciences.
  `static final TopicCategory`
  `HEALTH`
  Health, health services, human ecology, and safety.
  `static final TopicCategory`
  `IMAGERY_BASE_MAPS_EARTH_COVER`
  Base maps.
  `static final TopicCategory`
  `INLAND_WATERS`
  Inland water features, drainage systems and their characteristics.
  `static final TopicCategory`
  `INTELLIGENCE_MILITARY`
  Military bases, structures, activities.
  `static final TopicCategory`
  `LOCATION`
  Positional information and services.
  `static final TopicCategory`
  `OCEANS`
  Features and characteristics of salt water bodies (excluding inland waters).
  `static final TopicCategory`
  `PLANNING_CADASTRE`
  Information used for appropriate actions for future use of the land.
  `static final TopicCategory`
  `SOCIETY`
  Characteristics of society and cultures.
  `static final TopicCategory`
  `STRUCTURE`
  Man-made construction.
  `static final TopicCategory`
  `TRANSPORTATION`
  Means and aids for conveying persons and/or goods.
  `static final TopicCategory`
  `UTILITIES_COMMUNICATION`
  Energy, water and waste systems and communications infrastructure and services.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TopicCategory[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static TopicCategory`
  `valueOf(String code)`
  Returns the topic category that matches the given string, or returns a new one if none match it.
  `static TopicCategory[]`
  `values()`
  Returns the list of `TopicCategory`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### FARMING

    @UML(identifier="farming", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory FARMING
    Rearing of animals and/or cultivation of plants. Examples: agriculture, irrigation, aquaculture, plantations, herding, pests and diseases affecting crops and livestock.

  - ### BIOTA

    @UML(identifier="biota", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory BIOTA
    Flora and/or fauna in natural environment. Examples: wildlife, vegetation, biological sciences, ecology, wilderness, sealife, wetlands, habitat

  - ### BOUNDARIES

    @UML(identifier="boundaries", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory BOUNDARIES
    Legal land descriptions. Examples: political and administrative boundaries.

  - ### CLIMATOLOGY_METEOROLOGY_ATMOSPHERE

    @UML(identifier="climatologyMeteorologyAtmosphere", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory CLIMATOLOGY_METEOROLOGY_ATMOSPHERE
    Processes and phenomena of the atmosphere. Examples: cloud cover, weather, climate, atmospheric conditions, climate change, precipitation.

  - ### ECONOMY

    @UML(identifier="economy", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory ECONOMY
    Economic activities, conditions and employment. Examples: production, labour, revenue, commerce, industry, tourism and ecotourism, forestry, fisheries, commercial or subsistence hunting, exploration and exploitation of resources such as minerals, oil and gas.

  - ### ELEVATION

    @UML(identifier="elevation", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory ELEVATION
    Height above or below sea level. Examples: altitude, bathymetry, digital elevation models, slope, derived products.

  - ### ENVIRONMENT

    @UML(identifier="environment", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory ENVIRONMENT
    Environmental resources, protection and conservation. Examples: environmental pollution, waste storage and treatment, environmental impact assessment, monitoring environmental risk, nature reserves, landscape.

  - ### GEOSCIENTIFIC_INFORMATION

    @UML(identifier="geoscientificInformation", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory GEOSCIENTIFIC_INFORMATION
    Information pertaining to earth sciences. Examples: geophysical features and processes, geology, minerals, sciences dealing with the composition, structure and origin of the earth's rocks, risks of earthquakes, volcanic activity, landslides, gravity information, soils, permafrost, hydrogeology, erosion.

  - ### HEALTH

    @UML(identifier="health", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory HEALTH
    Health, health services, human ecology, and safety. Examples: disease and illness, factors affecting health, hygiene, substance abuse, mental and physical health, health services.
    Since:
      2.1

  - ### IMAGERY_BASE_MAPS_EARTH_COVER

    @UML(identifier="imageryBaseMapsEarthCover", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory IMAGERY_BASE_MAPS_EARTH_COVER
    Base maps. Examples: land cover, topographic maps, imagery, unclassified images, annotations.

  - ### INTELLIGENCE_MILITARY

    @UML(identifier="intelligenceMilitary", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory INTELLIGENCE_MILITARY
    Military bases, structures, activities. Examples: barracks, training grounds, military transportation, information collection.

  - ### INLAND_WATERS

    @UML(identifier="inlandWaters", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory INLAND_WATERS
    Inland water features, drainage systems and their characteristics. Examples: rivers and glaciers, salt lakes, water utilization plans, dams, currents, floods, water quality, hydrographic charts.

  - ### LOCATION

    @UML(identifier="location", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory LOCATION
    Positional information and services. Examples: addresses, geodetic networks, control points, postal zones and services, place names.

  - ### OCEANS

    @UML(identifier="oceans", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory OCEANS
    Features and characteristics of salt water bodies (excluding inland waters). Examples: tides, tidal waves, coastal information, reefs.

  - ### PLANNING_CADASTRE

    @UML(identifier="planningCadastre", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory PLANNING_CADASTRE
    Information used for appropriate actions for future use of the land. Examples: land use maps, zoning maps, cadastral surveys, land ownership.

  - ### SOCIETY

    @UML(identifier="society", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory SOCIETY
    Characteristics of society and cultures. Examples: settlements, anthropology, archaeology, education, traditional beliefs, manners and customs, demographic data, recreational areas and activities, social impact assessments, crime and justice, census information

  - ### STRUCTURE

    @UML(identifier="structure", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory STRUCTURE
    Man-made construction. Examples: buildings, museums, churches, factories, housing, monuments, shops, towers.

  - ### TRANSPORTATION

    @UML(identifier="transportation", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory TRANSPORTATION
    Means and aids for conveying persons and/or goods. Examples: roads, airports/airstrips, shipping routes, tunnels, nautical charts, vehicle or vessel location, aeronautical charts, railways.

  - ### UTILITIES_COMMUNICATION

    @UML(identifier="utilitiesCommunication", obligation=CONDITIONAL, specification=ISO_19115) public static final TopicCategory UTILITIES_COMMUNICATION
    Energy, water and waste systems and communications infrastructure and services. Examples: hydroelectricity, geothermal, solar and nuclear sources of energy, water purification and distribution, sewage collection and disposal, electricity and gas distribution, data communication, telecommunication, radio, communication networks.

- ## Method Details

  - ### values

    public static TopicCategory[] values()
    Returns the list of `TopicCategory`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public TopicCategory[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<TopicCategory>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static TopicCategory valueOf(String code)
    Returns the topic category that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.